Name:           rpm-verifydb
Version:        0.1.0
Release:        1%{?dist}
Summary:        Automatically check the RPM database for errors and attempt repair

Group:          System Environment/Base
License:        GPL
URL:            http://georgeanelson.com/%{name}.htm
Source0:        http://georgeanelson.com/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       mktemp
Requires:       sed
Requires:       grep
Requires:       util-linux
#Requires:       rpm        -- no, rpm is already installed to install rpms
#Requires:       logwatch   -- no, we just use logwatch if available

%description
Have RPM check its database for errors via a daily cron task, and repair a
damaged database if possible.  Keeps two Last Known Good copies of the
database.  Errors are syslog'd and emailed to root, and show in logwatch.


%prep
%setup -q


%build
#nothing -- no make


%install
rm -rf %{buildroot}

./install.sh
#install -pm 755 -d            %{buildroot}%{_sysconfdir}/cron.daily/
#install -pm 755 rpm_verify_db %{buildroot}%{_sysconfdir}/cron.daily/
#install -pm 755 -d               %{buildroot}%{_sysconfdir}/logwatch/scripts/services/
#install -pm 755 rpm_verify_db.lw %{_sysconfdir}/logwatch/scripts/services/rpm_verify_db
#install -pm 755 -d                  %{buildroot}%{_sysconfdir}/logwatch/conf/services/
#install -pm 644 rpm_verify_db.conf  %{buildroot}%{_sysconfdir}/logwatch/conf/services/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/cron.daily/rpm_verify_db
%{_sysconfdir}/logwatch/scripts/services/rpm_verify_db
%config(noreplace) %{_sysconfdir}/logwatch/conf/services/rpm_verify_db.conf



%changelog
* Tue Nov 21 2006 George A. Nelson <tonynelson@georgeanelson.com> - 0.1.0-1
- initial version
